Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum IndexPrecedenceOption

    java.lang.Object
      java.lang.Enum<IndexPrecedenceOption>
          org.drools.conf.IndexPrecedenceOption

All Implemented Interfaces:
  Serializable, Comparable<IndexPrecedenceOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum IndexPrecedenceOption

extends Enum<IndexPrecedenceOption>
implements SingleValueKnowledgeBaseOption

An Enum for Index Precedence option. drools.indexPrecedence = <pattern|equality> When creating indexes gives precedence to the equality constraints (default) or to the first indexable constraint in the pattern. DEFAULT = equality

Enum Constant Summary
`EQUALITY_PRIORITY`
`PATTERN_ORDER`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the index precedence option

Method Summary
`static IndexPrecedenceOption` | `determineIndexPrecedence(String mode)`
`String` | `getPropertyName()` Returns the property name for this option
`String` | `getValue()`
`String` | `toExternalForm()`
`String` | `toString()`
`static IndexPrecedenceOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexPrecedenceOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PATTERN_ORDER

    public static final IndexPrecedenceOption PATTERN_ORDER

### EQUALITY_PRIORITY

    public static final IndexPrecedenceOption EQUALITY_PRIORITY

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the index precedence option

  See Also:
    Constant Field Values

Method Detail

### values

    public static IndexPrecedenceOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexPrecedenceOption c : IndexPrecedenceOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexPrecedenceOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getValue

    public String getValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<IndexPrecedenceOption>`

### toExternalForm

    public String toExternalForm()

### determineIndexPrecedence

    public static IndexPrecedenceOption determineIndexPrecedence(String mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.